import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Een pijl.
 */
public class Pijl extends Actor {
    
    private int richting; // 0, 90, 180 of 270
    
    /**
     * Maak een pijl voor de gegeven richting.
     */
    public Pijl (int richting) {
        this.richting = richting;
        setImage ("pijl-"+(richting/90)+".png");        
    }
    
    /**
     * Als de schildpad zich precies boven de pijl bevindt, moet die van richting veranderen.
     */
    public void act() {
        // Opgave: vermijd gemeenschappelijke code met Doel.act()
        Actor actor = getOneObjectAtOffset(0,0,Schildpad.class);
        if (actor != null && actor.getX() == getX() && actor.getY() == getY()) {
            actor.setRotation (richting);
        }
    }    
}
