import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Schildpad
 */
public class Schildpad extends Actor {
    
    private int leeftijd;
    
    public Schildpad() {
        leeftijd = 0;
    }
    
    private static int[] D = { 0,1,0,-1,0 };
    
    private boolean kanVerderLopen() {
        int index = getRotation() / 90;
        return getOneObjectAtOffset(3*D[index+1], 3*D[index],  Steen.class) == null;
    }
    
    public void act() {
        setImage ("schildpad-" + (leeftijd % 4) + ".png");
        leeftijd ++;
        
        if (kanVerderLopen()) {
            move(1);
        }
    }    
}
