import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Veld waarin de schildpad beweegt
 */
public class Veld extends World {

    /**
     * Maak een veld aan met daarop de schildpad, alle stenen, twee pijlen en een doel
     */
    public Veld() {    
        super(57, 51, 9); 
        Greenfoot.setSpeed(30);
        
        addObject (new Schildpad(), 12, 36);
        addObject (new Doel(), 38, 8);
        
        // om te testen:
        //addObject (new Pijl(0), 20, 8);
        //addObject (new Pijl(3), 20,36);
        
        addObject (new Pijl(0), 52, 24);
        addObject (new Pijl(270), 52, 28);
        
        // stenen op de rand
        for (int i=0; i <= 50; i+=2) {
            addObject (new Steen(), 0, i);
            addObject (new Steen(), 48, i);
        }
        for (int i=2; i <= 46; i+=2) {
            addObject (new Steen(), i, 0);
            addObject (new Steen(), i, 50);
        }
        
        
        // hindernis in het midden        
        for (int i=12; i <= 38; i+= 2) {
            addObject (new Steen(), 24, i);            
        }
               
        setPaintOrder (Schildpad.class, Pijl.class);
        setActOrder (Pijl.class, Schildpad.class);
        
    }
}
